--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Update the values (such as CC expiration) stored at BrainTree. The CC number must be supplied in the CreditCard object.
full_name: ActiveMerchant::Billing::BraintreeGateway#update
is_singleton: false
name: update
params: (vault_id, creditcard, options = {})
visibility: public
